> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Update a team PUT https://api.contentful.com/organizations/{organization_id}/teams/{team_id} Content-Type: application/json Updates the data associated with a team. Only organization admins and owners can update teams. Reference: https://contentful.com/developers/docs/references/user-management-api/teams/update-a-team ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `organization_id` (string, required) — The organization ID - `team_id` (string, required) — The team ID ### Body (application/json) This endpoint expects a map from string to any. - `map from string to any` ## Response ### 200 OK - Updated team - `map from string to any` ## Examples **Request** ```json { "description": "Updated description", "name": "Updated Team Name" } ``` **Response** ```json { "description": "Updated description", "name": "Updated Team Name", "sys": { "createdAt": "2025-08-22T06:24:46.000Z", "id": "7BslKh9TdKGOK41VmLDjFZ", "memberCount": 0, "organization": { "sys": { "id": "4EJGvuLTBUMG2A6wS8gfAS", "linkType": "Organization", "type": "Link" } }, "type": "Team", "updatedAt": "2025-08-22T06:24:46.000Z" } } ```